function display_images(x_obs,x,x_deb,block_penalty)

subplot(1,3,1),
imagesc(x_obs, [0 1]);
title('Observation');
axis off;
subplot(1,3,2),
imagesc(x, [0 1]);
title('Isotropic TV restoration');
axis off;
subplot(1,3,3),
imagesc(x_deb, [0 1]);
switch(block_penalty)
    case 'HO'
        title('Refitting with Hard-constrained Orientation');
    case 'HD'
        title('Refitting with Hard-constrained Direction');
    case 'QO'
        title('Refitting with Quadratic-constrained Orientation');
    case 'SD'
        title('Refitting with Soft-constrained Direction');
    case 'Bregman'
        title('Refitting with Bregman iteration');
end
axis off;
colormap gray
set(gcf, 'Position',  [100, 100, 1000, 400])
drawnow;
